<template>
  <div>
    <v-row>
      <v-col align="center">
        <!-- Loading indicator -->
        <div class="login-loader">
          <v-progress-circular :size="120" color="primary" indeterminate />
        </div>

        <!-- Message -->
        <div class="studium-title pt-4">Logging in...</div>
      </v-col>
    </v-row>
  </div>
</template>

<script lang="ts">
import { defineComponent, useContext, useMeta, useRouter } from '@nuxtjs/composition-api'

export default defineComponent({
  // https://github.com/nuxt-community/auth-module/blob/c9880dc28fa13ba036f078d37ff76e1267c65d21/src/core/middleware.ts#L63
  auth: false,
  setup() {
    const context = useContext()
    const router = useRouter()

    // Handle potential authentication errors and redirect back to the landing page.
    context.$auth.onError(() => {
      router.push('/')
    })

    // SEO
    useMeta(() => ({ title: 'Logging in' }))
  },

  // Empty head for useMeta
  head: {},
})
</script>

<style lang="scss" scoped>
.login-loader {
  margin-bottom: 40px;
}
</style>
